## laniakea-spark 0.1.1

=== requirements.txt ===
tomlkit>=0.8
pyzmq>=16
python-debian>=0.1.28
firehose>=0.5

=== debian/changelog ===
laniakea-spark (0.1.1-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release: 0.1.1
  * Add _lkspark group for the daemon process to run in
  * Install sudoers file for debspawn
  * Refresh build-dependencies

 -- Matthias Klumpp <mak@debian.org>  Tue, 20 Feb 2024 21:26:24 +0100

laniakea-spark (0.1.0-1) experimental; urgency=medium

  * Initial release.

 -- Matthias Klumpp <mak@debian.org>  Sun, 14 Jan 2024 22:54:22 +0100

=== debian/control ===
Source: laniakea-spark
Section: devel
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: debhelper-compat (= 13),
               debspawn,
               dh-python,
               dput-ng,
               gnupg,
               pybuild-plugin-pyproject,
               python3-all,
               python3-debian,
               python3-firehose,
               python3-pkgconfig,
               python3-setuptools,
               python3-zmq,
               systemd-dev
Standards-Version: 4.6.2
Homepage: https://github.com/lkhq/laniakea-spark
Vcs-Git: https://salsa.debian.org/laniakea-team/laniakea-spark.git
Vcs-Browser: https://salsa.debian.org/laniakea-team/laniakea-spark
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: laniakea-spark
Architecture: all
Depends: debspawn,
         dput-ng,
         gnupg,
         ${misc:Depends},
         ${python3:Depends}
Description: Laniakea build and QA job runner daemon
 Spark is the generic job runner and package build executor for the Laniakea
 project. Laniakea is an integrated solution to manage the package archive
 of a Debian derivative.
 .
 The Spark daemon is able to perform a variety of tasks on dedicated builder
 machines, like building packages, ISO images or performing longer QA tasks.
 Spark instances auto-register with the system (via Lighthouse), if they
 are provided with the right credentials.
 .
 The daemon in this package will not perform any tasks unless it is manually
 configured and provided with information about a Laniakea master server and
 the necessary craptographic keys to communicate with it.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=spark
export PYBUILD_SYSTEM=distutils

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	python3 $(CURDIR)/install-sysdata.py \
		--prefix=/usr \
		--root=$(CURDIR)/debian/laniakea-spark

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/laniakea-spark-$1\.tar\.gz/ \
    https://github.com/lkhq/laniakea-spark/tags .*/v?(\d\S*)\.tar\.gz
